Intermittent crash in jsreftest.html?test=e4x/XML/regress-324422-1.js [@ js::gc::MarkInternal<JSXML>]

RESOLVED INVALID

Status

()

--
critical
RESOLVED INVALID
6 years ago
6 years ago

People

(Reporter: emorley, Unassigned)

Tracking

({crash, intermittent-failure})

16 Branch
x86_64
Mac OS X
crash, intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

6 years ago
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test jsreftest on 2012-06-06 15:42:01 PDT for push 8061c23ff32b

slave: talos-r4-snow-013

https://tbpl.mozilla.org/php/getParsedLog.php?id=12433140&tree=Mozilla-Inbound

{
REFTEST TEST-START | file:///Users/cltbld/talos-slave/test/build/jsreftest/tests/jsreftest.html?test=e4x/XML/regress-324422-1.js | 244 / 3409 (7%)
BUGNUMBER: 324422
STATUS: Do not crash creating XML object with long initialiser
--- NOTE: IN THIS TESTCASE, WE EXPECT EXIT CODE 0 ---
--- NOTE: IN THIS TESTCASE, WE EXPECT EXIT CODE 5 ---
STATUS: 10485760
TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/jsreftest/tests/jsreftest.html?test=e4x/XML/regress-324422-1.js | Exited with code 1 during test run
INFO | automation.py | Application ran for: 0:00:36.724531
INFO | automation.py | Reading PID log: /var/folders/Hs/HsDn6a9SG8idoIya6p9mtE+++TI/-Tmp-/tmpe7REqApidlog
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-inbound-macosx64/1339020979/firefox-16.0a1.en-US.mac.crashreporter-symbols.zip
PROCESS-CRASH | file:///Users/cltbld/talos-slave/test/build/jsreftest/tests/jsreftest.html?test=e4x/XML/regress-324422-1.js | application crashed (minidump found)
Crash dump filename: /var/folders/Hs/HsDn6a9SG8idoIya6p9mtE+++TI/-Tmp-/tmpxNCXwR/minidumps/81F2CF08-FD7E-4C62-A01D-499CA3D2DDF6.dmp
Operating system: Mac OS X
                  10.6.8 10K549
CPU: amd64
     family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXC_BAD_ACCESS / 0x0000000d
Crash address: 0x0

Thread 0 (crashed)
 0  XUL!js::gc::MarkInternal<JSXML> [jscompartment.h : 115 + 0x0]
    rbx = 0x06a4d188   r12 = 0x06a4d188   r13 = 0x7bc77ec0   r14 = 0x06a4d188
    r15 = 0x7bc77ec0   rip = 0x025e6bcc   rsp = 0x5fbfa880   rbp = 0x14ce21a0
    Found by: given as instruction pointer in context
 1  XUL!js_TraceXML [jsxml.cpp : 7322 + 0x12]
    rbx = 0x7bc781b8   r12 = 0x06a4d188   r13 = 0x7bc77ec0   r14 = 0x06a4d188
    r15 = 0x7bc77ec0   rip = 0x0252e7bf   rsp = 0x5fbfa8b0   rbp = 0x7bc77ec0
    Found by: call frame info
 2  XUL!js::GCMarker::processMarkStackOther [Marking.cpp : 879 + 0x7]
    rbx = 0x7bc781b8   r12 = 0x5fbfaa40   r13 = 0x7bc77ec0   r14 = 0x06a4d188
    r15 = 0x7bc77ec0   rip = 0x025e2ed9   rsp = 0x5fbfa8d0   rbp = 0x06a4d188
    Found by: call frame info
 3  XUL!js::GCMarker::drainMarkStack [Marking.cpp : 1128 + 0xf]
    rbx = 0x7bc781b8   r12 = 0x7bc781b8   r13 = 0x34c5b6a0   r14 = 0x527000b8
    r15 = 0x7bc77ec0   rip = 0x025e3eba   rsp = 0x5fbfa960   rbp = 0x06a4d188
    Found by: call frame info
 4  XUL!GCCycle [jsgc.cpp : 3345 + 0x15]
    rbx = 0x00000000   r12 = 0x00000000   r13 = 0x00000000   r14 = 0xffffffff
    r15 = 0xffffffff   rip = 0x024311c9   rsp = 0x5fbfa9d0   rbp = 0x06a4d258
    Found by: call frame info
 5  XUL!Collect [jsgc.cpp : 3802 + 0x10]
    rbx = 0x06a4d000   r12 = 0x00000001   r13 = 0x00000000   r14 = 0x00002710
    r15 = 0x00000001   rip = 0x02431769   rsp = 0x5fbfaaa0   rbp = 0x06a4d258
    Found by: call frame info
 6  XUL!js_HandleExecutionInterrupt [jscntxt.cpp : 908 + 0xc]
    rbx = 0x00351030   r12 = 0x00000005   r13 = 0x29566c00   r14 = 0x00351030
    r15 = 0x00000000   rip = 0x02406d7d   rsp = 0x5fbfaae0   rbp = 0x29566c5f
    Found by: call frame info
 7  XUL!js::Interpret [jsinterp.cpp : 1572 + 0x7]
    rbx = 0x06b83200   r12 = 0x00000005   r13 = 0x29566c00   r14 = 0x00351030
    r15 = 0x00000000   rip = 0x024630b0   rsp = 0x5fbfaaf0   rbp = 0x29566c5f
    Found by: call frame info
 8  XUL!js::RunScript [jsinterp.cpp : 267 + 0xc]
    rbx = 0x06b83030   r12 = 0x34c64060   r13 = 0x00000000   r14 = 0x5fbfb440
    r15 = 0x00368000   rip = 0x02469802   rsp = 0x5fbfb400   rbp = 0x00351030
    Found by: call frame info
 9  XUL!js::ExecuteKernel [jsinterp.cpp : 455 + 0xa]
    rbx = 0x34c96de0   r12 = 0x34c64060   r13 = 0x00000000   r14 = 0x5fbfb440
    r15 = 0x00368000   rip = 0x024699cb   rsp = 0x5fbfb430   rbp = 0x00351030
}
(Reporter)

Comment 1

6 years ago
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test jsreftest on 2012-06-28 12:51:31 PDT for push 6fd744aca078

slave: talos-r4-snow-013

https://tbpl.mozilla.org/php/getParsedLog.php?id=13079012&tree=Mozilla-Inbound

Same slave again?!
(Reporter)

Comment 2

6 years ago
And same slave again...

Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound opt test jsreftest on 2012-07-11 14:27:18 PDT for push df1325c99121

slave: talos-r4-snow-013

https://tbpl.mozilla.org/php/getParsedLog.php?id=13437658&tree=Mozilla-Inbound
This bug was observed only on one or more of the six machines listed in
bug 787281 comment 11, which seem likely to have bad memory, disk, or
other hardware problem, based on the rate of failures on those machines
and the types of failures observed.

Therefore I'm marking this bug invalid, though it should be reopened if
it occurs on other (more reliable) hardware.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → INVALID
Keywords: intermittent-failure
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.